APPSDIR = $(kde_appsdir)/Multimedia
# set the include path for X, qt and KDE
INCLUDES= $(all_includes) -I$(kde_includes)/arts -I$(top_srcdir)/libltdl 

####### This part is very Brahms specific
# you can add here more. This one gets installed 
lib_LTLIBRARIES = libBrahmsArts.la

libBrahmsArts_la_SOURCES = BrahmsMidiRecorder.cpp BrahmsArts.cc

# the library search path. 
libBrahmsArts_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -no-undefined

# the libraries to link against. Be aware of the order. First the libraries,
# that depend on the following ones.
libBrahmsArts_la_LIBADD   = -lartsmidi $(top_builddir)/libltdl/libltdlc.la

# make messages.po. Move this one to ../po/ and "make merge" in po
# the -x is for skipping messages already translated in kdelibs
#messages:
#	$(XGETTEXT) -C -ki18n -x $(includedir)/kde.pot $(kless_SOURCES) && mv messages.po ../po/kless.pot

BrahmsArts.h: $(srcdir)/BrahmsArts.idl
	$(MCOPIDL) -t $(srcdir)/BrahmsArts.idl -I$(kde_includes)/arts

BrahmsArts.cc: BrahmsArts.h

BrahmsArts.mcopclass: BrahmsArts.h

BrahmsArts.mcoptype: BrahmsArts.h

BrahmsMidiRecorder.cpp: BrahmsArts.h

mcoptypedir = $(libdir)/mcop
mcoptype_DATA = BrahmsArts.mcoptype BrahmsArts.mcopclass BrahmsMidiRecorder.mcopclass
